Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Util
Class GEVAUncaught

    java.lang.Object
      java.lang.ThreadGroup
          Util.GEVAUncaught

All Implemented Interfaces:
  java.lang.Thread.UncaughtExceptionHandler

    public class GEVAUncaught

extends java.lang.ThreadGroup

In a last effort ditch attempt, try to notify the user that a worker thread crashed for an unexpected reason. Uncaught exceptions in worker threads will only be output to a console if one is visible, which it generally wont, what with this being a GUI app, so this catches the error before it reaches the console solution, and offers it as a message-box

Author:
  eliott bartley

Nested Class Summary
`static class` | `GEVAUncaught.GEVAGlobalUncaught` Every possible internal unexpected exception should be handled by GEVAUncaught, but for external (and forgotted internal) unexpected exceptions, don't allow those to vanish into a non-existing console, instead, output an unhelpful message so the user at least knows there be an error.

Field Summary
`static GEVAUncaught` | `error`
`static GEVAUncaught` | `global`
`static GEVAUncaught` | `graph`
`static GEVAUncaught` | `jar`
`static GEVAUncaught` | `output`

Method Summary
`void` | `uncaughtException(java.lang.Thread thread, java.lang.Throwable exception)`

Methods inherited from class java.lang.ThreadGroup
`activeCount, activeGroupCount, allowThreadSuspension, checkAccess, destroy, enumerate, enumerate, enumerate, enumerate, getMaxPriority, getName, getParent, interrupt, isDaemon, isDestroyed, list, parentOf, resume, setDaemon, setMaxPriority, stop, suspend, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### global

    public static final GEVAUncaught global

### graph

    public static final GEVAUncaught graph

### output

    public static final GEVAUncaught output

### error

    public static final GEVAUncaught error

### jar

    public static final GEVAUncaught jar

Method Detail

### uncaughtException

    public void uncaughtException(java.lang.Thread thread,
                                  java.lang.Throwable exception)

  Specified by:
    `uncaughtException` in interface `java.lang.Thread.UncaughtExceptionHandler`
  Overrides:
    `uncaughtException` in class `java.lang.ThreadGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD